org.keycloak.authentication.requiredactions

## Class WebAuthnPasswordlessRegisterFactory

- java.lang.Object
- - org.keycloak.authentication.requiredactions.WebAuthnRegisterFactory
  - - org.keycloak.authentication.requiredactions.WebAuthnPasswordlessRegisterFactory

- All Implemented Interfaces:
    DisplayTypeRequiredActionFactory, RequiredActionFactory, EnvironmentDependentProviderFactory, ProviderFactory<RequiredActionProvider>

      public class WebAuthnPasswordlessRegisterFactory
      extends WebAuthnRegisterFactory

  Author:
    Marek Posolda

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PROVIDER_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebAuthnPasswordlessRegisterFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected WebAuthnRegister` | `createProvider(KeycloakSession session, com.webauthn4j.validator.attestation.trustworthiness.certpath.CertPathTrustworthinessValidator trustValidator)`
    `String` | `getDisplayText()` Display text used in admin console to reference this required action
    `String` | `getId()`

    - ### Methods inherited from class org.keycloak.authentication.requiredactions.WebAuthnRegisterFactory

      `close, create, createDisplay, init, isSupported, postInit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.authentication.RequiredActionFactory

      `isOneTimeAction`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `order`

- - ### Field Detail

    - #### PROVIDER_ID

          public static final String PROVIDER_ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### WebAuthnPasswordlessRegisterFactory

          public WebAuthnPasswordlessRegisterFactory()

  - ### Method Detail

    - #### createProvider

          protected WebAuthnRegister createProvider(KeycloakSession session,
                                                    com.webauthn4j.validator.attestation.trustworthiness.certpath.CertPathTrustworthinessValidator trustValidator)

      Overrides:
        `createProvider` in class `WebAuthnRegisterFactory`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `ProviderFactory<RequiredActionProvider>`
      Overrides:
        `getId` in class `WebAuthnRegisterFactory`

    - #### getDisplayText

          public String getDisplayText()

      Description copied from interface: `RequiredActionFactory`
      Display text used in admin console to reference this required action
      Specified by:
        `getDisplayText` in interface `RequiredActionFactory`
      Overrides:
        `getDisplayText` in class `WebAuthnRegisterFactory`
      Returns:

Copyright © 2021 JBoss by Red Hat. All rights reserved.